<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:17:32 CEST 2020 -->
<title>Deprecated List</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Deprecated List";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Deprecated API" class="title">Deprecated API</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#class">Deprecated Classes</a></li>
<li><a href="#method">Deprecated Methods</a></li>
<li><a href="#constructor">Deprecated Constructors</a></li>
</ul>
</div>
<div class="contentContainer"><a name="class">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Classes table, listing deprecated classes, and an explanation">
<caption><span>Deprecated Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/constraint/FilterableDynamicConstraint.html" title="class in org.polarsys.chess.core.constraint">org.polarsys.chess.core.constraint.FilterableDynamicConstraint</a>
<div class="block"><span class="deprecationComment">use the super class <a href="org/polarsys/chess/core/constraint/DynamicConstraint.html" title="class in org.polarsys.chess.core.constraint"><code>DynamicConstraint</code></a> instead.</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="method">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Methods table, listing deprecated methods, and an explanation">
<caption><span>Deprecated Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/util/uml/ProfileUtils.html#applyProfileRecursively-org.eclipse.uml2.uml.Profile-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.util.uml.ProfileUtils.applyProfileRecursively(Profile, Package)</a>
<div class="block"><span class="deprecationComment">use directly <code>PackageUtil.applyProfile(Package, Profile, boolean)</code> instead.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/profiles/CHESSProfileManager.html#getView-org.eclipse.uml2.uml.Model-java.lang.String-">org.polarsys.chess.core.profiles.CHESSProfileManager.getView(Model, String)</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isComponentView-org.polarsys.chess.core.views.DiagramStatus.DesignView-">org.polarsys.chess.core.views.ViewUtils.isComponentView(DiagramStatus.DesignView)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, CHESSProfileManager.COMPONENT_VIEW)</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isComponentView-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.views.ViewUtils.isComponentView(Package)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, COMPONENT_VIEW)</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isDependabilityAnalysisView-org.polarsys.chess.core.views.DiagramStatus.DesignView-">org.polarsys.chess.core.views.ViewUtils.isDependabilityAnalysisView(DiagramStatus.DesignView)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, CHESSProfileManager.DEPENDABILITY_ANALYSIS_VIEW)</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isDeploymentView-org.polarsys.chess.core.views.DiagramStatus.DesignView-">org.polarsys.chess.core.views.ViewUtils.isDeploymentView(DiagramStatus.DesignView)</a>
<div class="block"><span class="deprecationComment">use <code>#isDesignView(DesignView, String)</code> instead.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isDeploymentView-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.views.ViewUtils.isDeploymentView(Package)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, CHESSProfileManager.DEPLOYMENT_VIEW)</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/internal/views/InternalViewUtils.html#isElementWritable-org.eclipse.uml2.uml.Element-org.polarsys.chess.core.views.DiagramStatus.DesignView-">org.polarsys.chess.core.internal.views.InternalViewUtils.isElementWritable(Element, DiagramStatus.DesignView)</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isExtraFunctionalView-org.polarsys.chess.core.views.DiagramStatus.DesignView-">org.polarsys.chess.core.views.ViewUtils.isExtraFunctionalView(DiagramStatus.DesignView)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, CHESSProfileManager.EXTRAFUNCTIONAL_VIEW)</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isExtraFunctionalView-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.views.ViewUtils.isExtraFunctionalView(Package)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, EXTRAFUNCTIONAL_VIEW)</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isPSMView-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.views.ViewUtils.isPSMView(Package)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, CHESSProfileManager.PSM_VIEW)</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isRequirementView-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.views.ViewUtils.isRequirementView(Package)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, REQUIREMENT_VIEW)</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isRTAnalysisView-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.views.ViewUtils.isRTAnalysisView(Package)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, CHESSProfileManager.RT_ANALYSIS_VIEW)</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/views/ViewUtils.html#isSystemView-org.eclipse.uml2.uml.Package-">org.polarsys.chess.core.views.ViewUtils.isSystemView(Package)</a>
<div class="block"><span class="deprecationComment">use isDesignView(pkg, CHESSProfileManager.SYSTEM_VIEW)</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/util/uml/ProfileUtils.html#loadProfile-org.eclipse.emf.ecore.resource.ResourceSet-java.lang.String-">org.polarsys.chess.core.util.uml.ProfileUtils.loadProfile(ResourceSet, String)</a>
<div class="block"><span class="deprecationComment">use <code>PackageUtil.loadPackage(URI, ResourceSet)</code> instead.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/polarsys/chess/core/profiles/CHESSProfileManager.html#viewName-org.eclipse.uml2.uml.Model-java.lang.String-">org.polarsys.chess.core.profiles.CHESSProfileManager.viewName(Model, String)</a>
<div class="block"><span class="deprecationComment">Not safe to retrieve views based on the model name</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="constructor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Constructors table, listing deprecated constructors, and an explanation">
<caption><span>Deprecated Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/polarsys/chess/core/constraint/FilterableDynamicConstraint.html#FilterableDynamicConstraint-java.lang.String-int-java.lang.String-">org.polarsys.chess.core.constraint.FilterableDynamicConstraint(String, int, String)</a></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
